AddSAMLProvider
Add a new SAML identity provider on the instance
Request Body
application/json
Binding which defines the type of communication with the identity provider.
"SAML_BINDING_UNSPECIFIED" | "SAML_BINDING_POST" | "SAML_BINDING_REDIRECT" | "SAML_BINDING_ARTIFACT"Boolean which defines if the authentication requests are signed.
Optionally specify the nameid-format requested.
Optionally specify the name of the attribute, which will be used to map the user
in case the nameid-format returned is urn:oasis:names:tc:SAML:2.0:nameid-format:transient.
Optionally enable federated logout. If enabled, Zitadel will send a logout request to the identity provider, if the user terminates the session in ZITADEL. Be sure to provide a SLO endpoint as part of the metadata.
Specify a Signature Algorithm that should be used to sign SAML requests and responses.
Can be used only if the with_signed_request option is set to true.
"SAML_SIGNATURE_UNSPECIFIED" | "SAML_SIGNATURE_RSA_SHA1" | "SAML_SIGNATURE_RSA_SHA256" | "SAML_SIGNATURE_RSA_SHA512"Url to the metadata of the SAML identity provider.
Response Body
application/json
curl -X POST "https://loading/idps/saml" \ -H "Content-Type: application/json" \ -d '{ "metadataUrl": "string" }'{
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
},
"id": "string"
}Was this page helpful?
AddOIDCSettings
Explore the AddOIDCSettings operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
AddSecondFactorToLoginPolicy
Explore the AddSecondFactorToLoginPolicy operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.